- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties

# QToolBox Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file qtoolbox.h.

`#include <qtoolbox.h>`

Inheritance diagram for QToolBox:
[legend]

List of all members.

## Public Slots
void | setCurrentIndex (int index)
void | setCurrentWidget (QWidget *widget)
## Signals
void | currentChanged (int index)
## Public Member Functions
| QToolBox (QWidget *parent=0, Qt::WindowFlags f=0)
| ~QToolBox ()
int | addItem (QWidget *widget, const QString &text)
int | addItem (QWidget *widget, const QIcon &icon, const QString &text)
int | insertItem (int index, QWidget *widget, const QString &text)
int | insertItem (int index, QWidget *widget, const QIcon &icon, const QString &text)
void | removeItem (int index)
void | setItemEnabled (int index, bool enabled)
bool | isItemEnabled (int index) const
void | setItemText (int index, const QString &text)
QString | itemText (int index) const
void | setItemIcon (int index, const QIcon &icon)
QIcon | itemIcon (int index) const
void | setItemToolTip (int index, const QString &toolTip)
QString | itemToolTip (int index) const
int | currentIndex () const
QWidget * | currentWidget () const
QWidget * | widget (int index) const
int | indexOf (QWidget *widget) const
int | count () const
## Protected Member Functions
bool | event (QEvent *e)
virtual void | itemInserted (int index)
virtual void | itemRemoved (int index)
void | showEvent (QShowEvent *e)
void | changeEvent (QEvent *)
## Properties
int | currentIndex
int | count

## Constructor & Destructor Documentation

QToolBox | ( | QWidget * | parent = `0`,
|  | Qt::WindowFlags | f = `0`
| ) |  | `[explicit]`

~QToolBox | ( |  | ) |

## Member Function Documentation

int addItem | ( | QWidget * | widget,
|  | const QString & | text
| ) |  | `[inline]`

Search for all occurrences

Definition at line 134 of file qtoolbox.h.

    { return insertItem(-1, item, QIcon(), text); }

int addItem | ( | QWidget * | widget,
|  | const QIcon & | icon,
|  | const QString & | text
| ) |  | `[inline]`

Search for all occurrences

Definition at line 136 of file qtoolbox.h.

    { return insertItem(-1, item, iconSet, text); }

int insertItem | ( | int | index,
|  | QWidget * | widget,
|  | const QString & | text
| ) |  | `[inline]`

Search for all occurrences

Definition at line 139 of file qtoolbox.h.

    { return insertItem(index, item, QIcon(), text); }

int insertItem | ( | int | index,
|  | QWidget * | widget,
|  | const QIcon & | icon,
|  | const QString & | text
| ) |  |

Search for all occurrences

void removeItem | ( | int | index | ) |

Search for all occurrences

void setItemEnabled | ( | int | index,
|  | bool | enabled
| ) |  |

Search for all occurrences

bool isItemEnabled | ( | int | index | ) | const

Search for all occurrences

void setItemText | ( | int | index,
|  | const QString & | text
| ) |  |

Search for all occurrences

QString itemText | ( | int | index | ) | const

Search for all occurrences

void setItemIcon | ( | int | index,
|  | const QIcon & | icon
| ) |  |

Search for all occurrences

QIcon itemIcon | ( | int | index | ) | const

Search for all occurrences

void setItemToolTip | ( | int | index,
|  | const QString & | toolTip
| ) |  |

Search for all occurrences

QString itemToolTip | ( | int | index | ) | const

Search for all occurrences

int currentIndex | ( |  | ) | const

Search for all occurrences

QWidget* currentWidget | ( |  | ) | const

Search for all occurrences

QWidget* widget | ( | int | index | ) | const

Search for all occurrences

int indexOf | ( | QWidget * | widget | ) | const

Search for all occurrences

int count | ( |  | ) | const

Search for all occurrences

void setCurrentIndex | ( | int | index | ) | `[slot]`

Search for all occurrences

void setCurrentWidget | ( | QWidget * | widget | ) | `[slot]`

Search for all occurrences

void currentChanged | ( | int | index | ) | `[signal]`

Search for all occurrences

bool event | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QFrame.

virtual void itemInserted | ( | int | index | ) | `[protected, virtual]`

Search for all occurrences

virtual void itemRemoved | ( | int | index | ) | `[protected, virtual]`

Search for all occurrences

void showEvent | ( | QShowEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void changeEvent | ( | QEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QFrame.

## Property Documentation

int currentIndex `[read, write]`

Search for all occurrences

Definition at line 61 of file qtoolbox.h.

int count `[read]`

Search for all occurrences

Definition at line 62 of file qtoolbox.h.

The documentation for this class was generated from the following file:

- QtGui/qtoolbox.h

QToolBox QToolBox QToolBox QToolBox QToolBox QToolBox QToolBox QToolBox QToolBox QToolBox
QToolBox QToolBox QToolBox QToolBox QToolBox QToolBox QToolBox QToolBox QToolBox QToolBox